linuxgurugamer

[1.5.1, 1.6.1, 1.7.2] Hangar Extender Extended

Recommended Posts

On 3/23/2018 at 2:31 AM, Yargnit said:

FYI the 1.3.1 version works perfectly in 1.4/1.4.1

Happy about this. Not a big fan of dependencies that are not truly required.

No offense intended LGG, I am indescribably in awe of your massive number of mods you maintain.

Share this post


Link to post
Share on other sites
On 3/28/2018 at 3:12 PM, COL.R.Neville said:

anyone else getting nre's after the latest toolbar controller update? 

It's possible, I'll push out another update later today

Share this post


Link to post
Share on other sites
On 3/28/2018 at 3:12 PM, COL.R.Neville said:

anyone else getting nre's after the latest toolbar controller update? 

But a log file would have been nice to see

Share this post


Link to post
Share on other sites

I just tested this with the current version of the Toolbar Controller (0.1.5.8), I didn't see a single exception in the log

Hanger Extender 3.5.3

Share this post


Link to post
Share on other sites

okay lemme change to 158 was running 157. nothing in the log except nre. doesnt happen all the time either. when it does a scene change usually clears it up. but all moot if 158 is not having problems. 

k updated both the controller and the hangar extender files pretty sure i was running the latest but redl'd and reinstalled to be sure. everything seem to be doing alot better now. thanks man for keeping all our favorite stuff updated. 

Edited by COL.R.Neville

Share this post


Link to post
Share on other sites
On 3/24/2018 at 8:38 PM, TheKurgan said:

Happy about this. Not a big fan of dependencies that are not truly required.

No offense intended LGG, I am indescribably in awe of your massive number of mods you maintain.

No offense taken, and just keep in mind that I will not support old versions of mods in new versions of the game.  And if you use any of my other mods, also keep in mind that I'm adding both the ClickThroughBlocker and the ToolbarController to all my mods as I update them, so, sooner or later, you will most likely end up with them installed :-)

 

Share this post


Link to post
Share on other sites
1 hour ago, linuxgurugamer said:

...I'm adding both the ClickThroughBlocker ... to all my mods as I update them

 

IMO this should be a required dependency for ANY mod that has an in-game GUI.

Edited by leatherneck6017

Share this post


Link to post
Share on other sites

Guys, does I tried the new version of ckan today, but there's still no hangar extender available.

What else can I do?

 

btw: ckan 1.4.2 

 

It is working! I had to update the reposistory!!!!!!!!!!!!!!!!!

Edited by HSP

Share this post


Link to post
Share on other sites
On 2/17/2018 at 10:57 PM, Smart Parts Wanter said:

About to install...

 * HangerExtender 3.5.2 (cached)

The following inconsistencies were found:
HangerExtenderExtended wishes to install GameData/FShangarExtender/FShangarExtenderIconExtend.png, but this file is registered to HangarExtender
 * HangerExtenderExtended wishes to install GameData/FShangarExtender/FShangarExtenderIconShrink.png, but this file is registered to HangarExtender
 * HangerExtenderExtended wishes to install GameData/FShangarExtender/settings.txt, but this file is registered to HangarExtender

 

Error!

-----

 

If you are getting an error message like the above it is because CKAN still thinks that the original "HangarExtender" (note not the new HangerExtender, notice the "a" vs the "e") is installed because CKAN keeps a registry of everything it has installed.  So if you removed the original HangarExtender manually CKAN still thinks it is installed. 

To resolve you need to edit your registry.json file and remove the references to the original files:

 

1. Close CKAN

2. Find your ckan registry.json file  located in your CKAN folder, probably something like c:/Games/Kerbal Space Program/CKAN/registry.json

3.  Make a backup copy of it just in case.

4. Using a text editor like in a text editor like Sublime or Visual Studio Code, open the registry.json file.

5. Search for "GameData/FShangarExtender/settings.txt".  You should get exactly two results, both of which need to be removed along with some of the lines around them, see the examples below.   If you see ckan errors you did not correctly remove the blocks, try again from your backup being mindful of removing exactly what is specified below, including the commas, {} brackets, quotes etc.

5a. Block 1:  This is the reference to the old mod that ckan thinks it has installed, your exact details may be slightly different but make sure that it mentions HangarExtender not HangerExtender,.  Although the details of your block may vary (install time etc) you must remove the entire block from "HangarExtender":{ down to the final },. 

"HangarExtender": {
            "install_time": "2017-01-11T23:04:53.0245002-07:00",
            "source_module": {
                "abstract": "Extends the usable area when building in the SPH or VAB, so you can build outside or above the building. Useful for building large aircraft carriers or tall rockets.",
                "author": [
                    "Snjo",
                    "Alewx"
                ],
                "download": "https://github.com/Alewx/FShangarExtender/releases/download/v3.4.9/FShangarExtender_3.4.9.zip",
                "download_size": 19432,
                "download_hash": {
                    "sha1": "CDD1BD6853B485C94AA13B0B6370CEDFCA1A8FE9",
                    "sha256": "5E06AEE951F74EBF84F3BF61374602A4D2D98444DA3D3ACE87CFF87992BC65FD"
                },
                "identifier": "HangarExtender",
                "ksp_version": "1.2",
                "ksp_version_strict": false,
                "license": [
                    "CC-BY-4.0"
                ],
                "name": "Hangar Extender",
                "release_status": "stable",
                "resources": {
                    "repository": "https://github.com/Alewx/FShangarExtender",
                    "homepage": "https://github.com/Alewx/FShangarExtender"
                },
                "version": "1:v3.4.9",
                "install": [
                    {
                        "file": "FShangarExtender",
                        "find_matches_files": false,
                        "install_to": "GameData"
                    }
                ],
                "spec_version": "1"
            },
            "installed_files": {
                "GameData/FShangarExtender": {},
                "GameData/FShangarExtender/FShangarExtender.dll": {
                    "sha1_sum": "D4-14-AA-DB-64-C4-7D-AE-17-A0-6E-79-E9-C5-7E-05-BD-12-92-12"
                },
                "GameData/FShangarExtender/FShangarExtenderIconExtend.png": {
                    "sha1_sum": "A8-7B-A5-77-DE-DC-A6-18-A5-13-D2-C6-53-46-8E-FA-65-EF-DE-B0"
                },
                "GameData/FShangarExtender/FShangarExtenderIconShrink.png": {
                    "sha1_sum": "50-D7-9D-C2-42-77-58-65-40-31-10-24-FC-1B-29-B1-32-E1-18-FB"
                },
                "GameData/FShangarExtender/readme.txt": {
                    "sha1_sum": "F5-05-9A-72-E2-FE-FB-B7-7F-FF-04-7C-2E-1A-F7-15-CE-7B-7D-5B"
                },
                "GameData/FShangarExtender/settings.txt": {
                    "sha1_sum": "F0-AB-05-B7-B1-0A-FC-A7-D6-4B-34-03-3D-82-B5-1F-65-36-9A-B3"
                }
            }
        },


5b Block2:  References to installed files.  Remove exactly these lines, they should be the same for you, but if you see other or slightly different "GameData/FShangarExtender" lines, remove those too.

 

        "GameData/FShangarExtender": "HangarExtender",
        "GameData/FShangarExtender/FShangarExtender.dll": "HangarExtender",
        "GameData/FShangarExtender/FShangarExtenderIconExtend.png": "HangarExtender",
        "GameData/FShangarExtender/FShangarExtenderIconShrink.png": "HangarExtender",
        "GameData/FShangarExtender/readme.txt": "HangarExtender",
        "GameData/FShangarExtender/settings.txt": "HangarExtender",

 

6. Restart Ckan and attempt to install HangerExtender again, it should install successfully this time.

 

Share this post


Link to post
Share on other sites

hi so I just got the new release for 4.1 and when I got it I replaced the old files but the button for the hanger extender went away anything I did wrong you could tell me?

Share this post


Link to post
Share on other sites
9 hours ago, ryan5251tgp said:

hi so I just got the new release for 4.1 and when I got it I replaced the old files but the button for the hanger extender went away anything I did wrong you could tell me?

Make sure you have the latest version of the ToolbarController installed

Share this post


Link to post
Share on other sites
On 5/3/2018 at 9:24 PM, linuxgurugamer said:

Make sure you have the latest version of the ToolbarController installed

@linuxgurugamer love your work and really appreciate all you do for keeping the KSP mods alive for us who can't do without them. 'But' why in gods name would you make us install another mod just to place a button to activate the intended mod we wish to use? Worked very well in 1.3.1 without ToolbarController and should work in 1.4.3 without it also? I just don't understand why extra dependencies are required when the vanilla game has button features already? I tend to steer clear of mods that need them as best I can.

Cheers

Share this post


Link to post
Share on other sites

It adds the ability to put the button on the Blizzy toolbar, and makes my life easier, given that I am supporting  more than 135 mods.  It is one small supporting mod.  You are more than welcome to continue using the previous version without complaining, knowing that it won't  be supported in the future

Edited by linuxgurugamer

Share this post


Link to post
Share on other sites

Sorry, I did come across as complaining. But I can't help thinking that you might be creating more work for yourself than is necessary? Do you use Blizzy Toolbar yourself, or are you keeping it alive for a handful of people? I thought it was no longer required after KSP v1.3 after they added the support for mod buttons?

Share this post


Link to post
Share on other sites
55 minutes ago, Getsome2030 said:

Sorry, I did come across as complaining. But I can't help thinking that you might be creating more work for yourself than is necessary? Do you use Blizzy Toolbar yourself, or are you keeping it alive for a handful of people? I thought it was no longer required after KSP v1.3 after they added the support for mod buttons?

Blizzy's is still far better at managing the buttons and letting you configure your UI.  Technically mods can use the KSP button ribbon - but practically, I find that so awkward to use for more than four or five buttons that I routinely set *everything* that can to use Blizzy's, and appreciate LGG's efforts to maintain it and make it easier to support.

Share this post


Link to post
Share on other sites
1 hour ago, DStaal said:

Blizzy's is still far better at managing the buttons and letting you configure your UI.  Technically mods can use the KSP button ribbon - but practically, I find that so awkward to use for more than four or five buttons that I routinely set *everything* that can to use Blizzy's, and appreciate LGG's efforts to maintain it and make it easier to support.

We all appreciate the time and effort that LGG has sacrificed from his personal life so that we can continue to use these mods. What I am questioning though is it really worth his time to continue a mod and then have to develop an extra dependency that needs to be applied to other mods for the sake of managing some UI buttons? 

Share this post


Link to post
Share on other sites
1 hour ago, Getsome2030 said:

We all appreciate the time and effort that LGG has sacrificed from his personal life so that we can continue to use these mods. What I am questioning though is it really worth his time to continue a mod and then have to develop an extra dependency that needs to be applied to other mods for the sake of managing some UI buttons? 

Well, IMHO, yes.  The effort it takes to convert a mod from using the stock toolbar to using the ToolbarController is usually about 15 minutes work, except in a few strange cases.  And, since I'm the one doing the work, it's my decision as to whether it is worth the time or not.

Keep in mind that modders do this as a hobby, and, to "scratch an itch";  in other words, a modder will make a mod because the core game is missing something that HE/SHE wants.  And in this case, I felt that it was well worth my time to convert all the mods that I support to this new method.  It greatly simplifies the coding required in a mod to support one or both toolbars, it gives the player the flexibility to decide how to control the buttons, and, moving forward, makes maintaining a mod much easier.

4 hours ago, Getsome2030 said:

Do you use Blizzy Toolbar yourself, or are you keeping it alive for a handful of people? I thought it was no longer required after KSP v1.3 after they added the support for mod buttons?

Yes, I both support it and use it, there are a number of mods which only supported it (not using the stock toolbar), and as you can tell from @DStaal's comment, many people continue to use it.

 

Share this post


Link to post
Share on other sites
Quote

It adds the ability to put the button on the Blizzy toolbar

It seems it should be a dependency for Blizzy's toolbar then, not everything else.  As it is now, it's a pre-emptive dependency for another mod not everyone uses.

Share this post


Link to post
Share on other sites
20 minutes ago, CuddlePirate420 said:

It seems it should be a dependency for Blizzy's toolbar then, not everything else.  As it is now, it's a pre-emptive dependency for another mod not everyone uses.

It's a small library that allows the mod to use either Blizzy or stock, with a minimum of code in the mod.  Otherwise LGG would have to add that code to every mod that he supports - duplicating code, work, and taking more memory in KSP.

 

This is the better solution.

Share this post


Link to post
Share on other sites

The CKAN install for ToolbarController should include ClickThroughBlocker as a dependency.  Right now it doesn't and that may explain some of the problems I saw people saying they had.  Most of his mods seem to include it already on their own, but a few I saw didn't.  Installing just HangarExtender and/or AntennaeHelper will not get you ClickThroughBlocker.  If you already had it as a dependency from another mod it would work,. but if you didn't it would break.  Hope that may help. 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.